petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMOutputSequenceLoad

Retrieve the sequence value from a Viewer

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMOutputSequenceLoad(DM dm, PetscViewer viewer, const char *name, PetscInt num, PetscReal *val)

### Input Parameters

| dm | - The original DM
| name | - The sequence name
| num | - The output sequence number

### Output Parameter

val -The output sequence value

Note: This is intended for output that should appear in sequence, for instance a set of timesteps in an HDF5 file, or a set of realizations of a stochastic system.

### See Also

DMGetOutputSequenceNumber(), DMSetOutputSequenceNumber(), VecView()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages